const { getDb } = require('../dbPool');

// 사용자 조회
const findByUsername = async (username) => {
  try {
    const db = await getDb();
    const [rows] = await db.query(
      'SELECT * FROM Users WHERE username = ?', [username]
    );
    return rows[0];
  } catch (err) {
    console.error('DB 오류 - 사용자 조회 실패:', err);
    throw err;
  }
};

// 명확한 내보내기
module.exports = {
  findByUsername
};